Schema "fpml-variance-swaps-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 8699 $

Defined Components:

  2 global elements, 9 local elements, 5 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\transparency\fpml-variance-swaps-5-3.xsd; see XML source

Includes Schema:

  fpml-eqd-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

All Element Summary
amount (defined in VarianceLeg complexType) | Specifies, in relation to each Equity Payment Date, the amount to which the Equity Payment Date relates.
Type: | VarianceAmount
Content: | complex, 3 elements
Defined: | locally witnin VarianceLeg complexType; see XML source
equityExercise (in varianceOptionTransactionSupplement) | The parameters for defining how the equity option can be exercised, how it is valued and how it is settled.
Type: | EquityExerciseValuationSettlement
Content: | complex, 4 elements
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source
equityPremium (in varianceOptionTransactionSupplement) | The variance option premium payable by the buyer to the seller.
Type: | EquityPremium
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source
multiplier (in varianceOptionTransactionSupplement) | Specifies the contract multiplier that can be associated with an index option.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source
optionEntitlement (in varianceOptionTransactionSupplement) | The number of shares per option comprised in the option transaction supplement.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source
variance | Specifies Variance.
Type: | Variance
Content: | complex, 12 elements
Defined: | locally witnin VarianceAmount complexType; see XML source
varianceLeg (in varianceSwapTransactionSupplement in varianceOptionTransactionSupplement) | Variance Leg.
Type: | VarianceLeg
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin LimitedVarianceSwapTransactionSupplement complexType; see XML source
varianceLeg (in varianceSwapTransactionSupplement) | Variance Leg.
Type: | VarianceLeg
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin VarianceSwapTransactionSupplement complexType; see XML source
varianceOptionTransactionSupplement | Specifies the structure of a variance option.
Type: | VarianceOptionTransactionSupplement
Content: | complex, 1 attribute, 10 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
varianceSwapTransactionSupplement | Specifies the structure of a variance swap transaction supplement.
Type: | VarianceSwapTransactionSupplement
Content: | complex, 1 attribute, 5 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
varianceSwapTransactionSupplement (in varianceOptionTransactionSupplement) | The variance swap details.
Type: | LimitedVarianceSwapTransactionSupplement
Content: | complex, 1 element
Defined: | locally witnin VarianceOptionTransactionSupplement complexType; see XML source

Complex Type Summary
LimitedVarianceSwapTransactionSupplement | A Variance Swap Transaction Supplement - limited form for use as underlyer to option on variance swap.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
VarianceAmount | Calculation of a Variance Amount.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
VarianceLeg | A type describing return which is driven by a Variance Calculation.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
VarianceOptionTransactionSupplement |
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
VarianceSwapTransactionSupplement | A Variance Swap Transaction Supplement.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 8699 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-eqd-5-3.xsd"/> <xsd:complexType name="LimitedVarianceSwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A Variance Swap Transaction Supplement - limited form for use as underlyer to option on variance swap. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="varianceLeg" type="VarianceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Variance Leg.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="VarianceAmount"> <xsd:annotation> <xsd:documentation xml:lang="en">Calculation of a Variance Amount.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CalculatedAmount"> <xsd:sequence> <xsd:element minOccurs="0" name="variance" type="Variance"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies Variance.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="VarianceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing return which is driven by a Variance Calculation. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DirectionalLegUnderlyerValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="VarianceAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies, in relation to each Equity Payment Date, the amount to which the Equity Payment Date relates. Unless otherwise specified, this term has the meaning defined in the ISDA 2002 Equity Derivatives Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="VarianceOptionTransactionSupplement"> <xsd:complexContent> <xsd:extension base="OptionBase"> <xsd:sequence> <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"> <xsd:annotation> <xsd:documentation xml:lang="en"> The variance option premium payable by the buyer to the seller. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="equityExercise" type="EquityExerciseValuationSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters for defining how the equity option can be exercised, how it is valued and how it is settled. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED exchangeLookAlike - Documentation--> <!--View Generation: SKIPPED methodOfAdjustment - Documentation--> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of shares per option comprised in the option transaction supplement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="multiplier" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the contract multiplier that can be associated with an index option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element name="varianceSwapTransactionSupplement" type="LimitedVarianceSwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en">The variance swap details.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED VarianceSwap - Unsupported--> <xsd:complexType name="VarianceSwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en">A Variance Swap Transaction Supplement.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="varianceLeg" type="VarianceLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Variance Leg.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="varianceOptionTransactionSupplement" substitutionGroup="product" type="VarianceOptionTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the structure of a variance option.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED varianceSwap - Unsupported--> <xsd:element name="varianceSwapTransactionSupplement" substitutionGroup="product" type="VarianceSwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the structure of a variance swap transaction supplement. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.